abi-compliance-checker_2.2-2_all.deb


Advertisement

Description

abi-compliance-checker - tool to compare ABI compatibility of shared C/C++ library versions

Distribution: Debian Sid
Repository: Debian Main amd64
Package name: abi-compliance-checker
Package version: 2.2
Package release: 2
Package architecture: all
Package type: deb
Installed size: 1.28 KB
Download size: 186.73 KB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

    Download

    Source package: abi-compliance-checker

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install abi-compliance-checker deb package:
      # sudo apt-get install abi-compliance-checker

    Changelog

    2017-09-20 - Mathieu Malaterre <malat@debian.org> abi-compliance-checker (2.2-2) unstable; urgency=medium * Update Std-Vers to 4.1.0, no changes needed * Fix lintian warning: privacy-breach-logo

    2017-09-15 - Mathieu Malaterre <malat@debian.org> abi-compliance-checker (2.2-1) unstable; urgency=medium * New upstream release: 2.2. Remove patches: - d/p/emergency-mode.patch - d/p/fix-test-compilation.patch - d/p/remove-gcc-check.patch * Remove Ryan Niebur from Uploaders. Closes: #856362. Thanks for your work !

    2017-09-01 - Gianfranco Costamagna <locutusofborg@debian.org> abi-compliance-checker (1.99.22-1.1) unstable; urgency=high [ Dmitry Shachnev ] * Add a patch to fix tests compilation with new GCC. * Add a patch to not rely on GCC for symbols mangling, it is not working with GCC 6 and GCC 7 because of PR c++/78040. [ Gianfranco Costamagna ] * Non-maintainer upload * Fix autopkgtests, due to bad doit call (Closes: #868473)

    2016-07-16 - Mathieu Malaterre <malat@debian.org> abi-compliance-checker (1.99.22-1) unstable; urgency=medium * New upstream release

    2016-06-01 - Mathieu Malaterre <malat@debian.org> abi-compliance-checker (1.99.20-3) unstable; urgency=medium * Fix copyright file missing. Closes: #825556

    2016-05-23 - Mathieu Malaterre <malat@debian.org> abi-compliance-checker (1.99.20-2) unstable; urgency=medium * Make sure to build manpage during indep build.

    2016-05-23 - Mathieu Malaterre <malat@debian.org> abi-compliance-checker (1.99.20-1) unstable; urgency=medium * New release. Closes: #825053. Remove patches applied upstream: - d/p/bug798470.patch - d/p/bug805441.patch * Bump Std-Vers to 3.9.8, no changes needed

    2016-05-08 - Mattias Ellert <mattias.ellert@fysast.uu.se> abi-compliance-checker (1.99.14-1.1) unstable; urgency=medium * Non-maintainer upload. * Restore support for GNU/Hurd - backport from upstream (Closes: #805441)

    2015-11-06 - Mathieu Malaterre <malat@debian.org> abi-compliance-checker (1.99.14-1) unstable; urgency=medium * New release. Refresh patches.

    2015-09-16 - Mathieu Malaterre <malat@debian.org> abi-compliance-checker (1.99.11-1) unstable; urgency=medium * New upstream * Bump Std-Vers to 3.9.6, no changes needed * drop timestamp from generated HTML reports. Closes: #798470 * make the generated .abi.tar.gz files reproducible. Closes: #798481

    Advertisement
    Advertisement